Package be.fgov.ehealth.hubservices.core.v2

# Class TherapeuticLinkListType

java.lang.Object
be.fgov.ehealth.hubservices.core.v2.TherapeuticLinkListType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:12:47+02:00", comments="JAXB RI v4.0.5") public class TherapeuticLinkListType extends Object implements Serializable

Java class for TherapeuticLinkListType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TherapeuticLinkListType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="therapeuticlink" type="{http://www.ehealth.fgov.be/hubservices/core/v2}TherapeuticLinkWithOperationContext" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TherapeuticLinkListType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<TherapeuticLinkWithOperationContext>`
  `getTherapeuticlinks()`
  Gets the value of the therapeuticlinks property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TherapeuticLinkListType

    public TherapeuticLinkListType()

- ## Method Details

  - ### getTherapeuticlinks

    public List<TherapeuticLinkWithOperationContext> getTherapeuticlinks()
    Gets the value of the therapeuticlinks property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the therapeuticlinks property.

    For example, to add a new item, do as follows:

         getTherapeuticlinks().add(newItem);

    Objects of the following type(s) are allowed in the list `TherapeuticLinkWithOperationContext`

    Returns:
      The value of the therapeuticlinks property.